## signalbackup-tools 20241105.2

=== debian/changelog ===
signalbackup-tools (20241105.2-2) unstable; urgency=medium

  * add missing copyright info

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 24 Jan 2025 09:19:56 +0100

signalbackup-tools (20241105.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1087799)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 05 Nov 2024 17:02:46 +0100

## signalbackup-tools 20250305.2

=== debian/changelog ===
signalbackup-tools (20250305.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS on architectures other than amd64. (Closes: #1095591)

  [ Hans-Christoph Steiner ]
  * New upstream version 20250305.2

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 05 Mar 2025 20:06:08 +0100

## signalbackup-tools 20250308

=== debian/changelog ===
signalbackup-tools (20250308-1) unstable; urgency=medium

  * New upstream version 20250308

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 11 Mar 2025 09:09:32 +0100

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?\.?(\d+)-?(\d*)\.tar\.gz/signalbackup-tools_$1.$2\.orig\.tar\.gz/ \
  https://github.com/bepaald/signalbackup-tools/tags .*/v?\.?(\d\S*)\.tar\.gz

## signalbackup-tools 20250313.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

if (APPLE)
  foreach (HOMEBREW_PKG openssl sqlite)
    execute_process(COMMAND brew --prefix ${HOMEBREW_PKG} OUTPUT_VARIABLE HOMEBREW_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
    list(APPEND CMAKE_PREFIX_PATH "${HOMEBREW_PREFIX}")
  endforeach ()
endif ()

project(signalbackup-tools)

find_package(OpenSSL REQUIRED)
find_package(SQLite3 REQUIRED)

set(CMAKE_CXX_EXTENSIONS off)
if (CMAKE_VERSION VERSION_LESS "3.30")  # the CMAKE_CXX_STANDARD_LATEST variable was only introduced in 3.30
  set(CMAKE_CXX_STANDARD 20)
elseif(CMAKE_CXX_STANDARD_LATEST) # if cmake version is ok and the variable is set, use it
  set(CMAKE_CXX_STANDARD ${CMAKE_CXX_STANDARD_LATEST})
endif()
set(CMAKE_CXX_STANDARD_REQUIRED on)

# find and set DBUS include and library paths
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  if (WITHOUT_DBUS)
    add_definitions(-DWITHOUT_DBUS)
  else()
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(DBUS REQUIRED dbus-1)
    include_directories(${DBUS_INCLUDE_DIRS})
    set(DBUS_LIBS_ABSOLUTE)
    foreach(lib ${DBUS_LIBRARIES})
      set(tmp DBUS_${lib}_ABS)
      find_library(${tmp} ${lib} ${DBUS_LIBRARY_DIR})
      list(APPEND DBUS_LIBS_ABSOLUTE ${${tmp}})
    endforeach()
  endif()
endif()

if (APPLE)
  find_library(SECLIB Security)
  if (NOT SECLIB)
    message(FATAL_ERROR "Failed to find required framework 'Security'")
  endif()
  find_library(CFLIB CoreFoundation)
  if (NOT CFLIB)
    message(FATAL_ERROR "Failed to find required framework 'CoreFoundation'")
  endif()
endif()

file(GLOB_RECURSE SOURCES CONFIGURE_DEPENDS *.cc *.h)
add_executable(signalbackup-tools ${SOURCES})

target_link_libraries(signalbackup-tools OpenSSL::Crypto SQLite::SQLite3 ${SECLIB} ${CFLIB} ${DBUS_LIBS_ABSOLUTE})

=== debian/changelog ===
signalbackup-tools (20250313.1-1) unstable; urgency=medium

  * New upstream version 20250313.1

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 17 Mar 2025 09:22:29 +0100

=== debian/control ===
Source: signalbackup-tools
Section: misc
Priority: optional
Maintainer: Hans-Christoph Steiner <hans@eds.org>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 13),
               libdbus-1-dev,
               libsqlite3-dev,
               libssl-dev,
               pkgconf,
Homepage: https://github.com/bepaald/signalbackup-tools
Vcs-Git: https://salsa.debian.org/debian/signalbackup-tools.git
Vcs-Browser: https://salsa.debian.org/debian/signalbackup-tools

Package: signalbackup-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tool to work with Signal Backup files
 Tool to work with backup files generated by the Signal Android
 application (https://signal.org/). It can dump the decrypted backup
 components to a directory, or read the contents of a directory and
 pack and encrypt it back into a valid backup file. When dumping, make
 sure the directory to dump to is empty to start with. In theory, the
 decrypted files could be edited before re-encrypting.  It has also
 been used successfully to fix backups that were corrupted.
 .
 Signal is an actively developed application and consequently, the
 database format changes regularly. Often the changes do not affect
 the backup file format or the working of this program, but every once
 in a while a change does break (some of) the functionality of this
 program. It has happened before and it will happen again.
 .
 The tool is provided as-is, there may be bugs. The tool and I are not
 affiliated with or endorsed by the Signal Foundation.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-3 or (at your option) any later version.
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?\.?(\d+)-?(\d*)?\.tar\.gz/signalbackup-tools_$1.$2\.orig\.tar\.gz/ \
  https://github.com/bepaald/signalbackup-tools/tags .*/v?\.?(\d\S*)\.tar\.gz
